#if !defined(__sockdemo_hpp)
#define __sockdemo_hpp

#include <owl\owlpch.h>
#pragma hdrstop

#include "sockdemo.rh" // Definitions of all resources.

class SockDemoApp : public TApplication {
public:
    SockDemoApp();
    virtual ~SockDemoApp();
    virtual void InitMainWindow();

protected:
    void CmGetWSAData();
    void CmGetMyAddress();
    void CmConvertService();
    void CmConvertAddress();
    void CmSendDatagrams();
    void CmStreamListen();
    void CmStreamConnect();
    void CmShowSocketError();
    void CmHelpAbout();
    void CmHelpHow();
    DECLARE_RESPONSE_TABLE(SockDemoApp);
};

#endif //__sockdemo_hpp
